Bug 139504 - k3b crashes when copying a CD
k3b crashes when copying a CD
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 08:41 EST by petrosyan
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-20 04:27:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
k3b crash backtrace (5.62 KB, text/plain)
2004-11-16 10:48 EST, petrosyan
no flags Details

  None (edit)
Description petrosyan 2004-11-16 08:41:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
k3b needs konqueror which is provided by kdebase, to operate properly.
However k3b does not depend neither on konqueror nor on kdebase.

Version-Release number of selected component (if applicable):
k3b-0.11.14-2

How reproducible:
Always

Steps to Reproduce:
1. install a brand new FC3 system. (personal desktop, default package
selections)
2. up2date k3b
3. start k3b and try to Copy a CD.
4. When time comes to take out the original CD and put in the Blank CD
k3b crashes.
    

Actual Results:  k3b crashes with the following message:
$ k3b
kbuildsycoca running...
terminate called after throwing an instance of 'std::bad_alloc'
  what():  St9bad_alloc
KCrash: Application 'k3b' crashing...
Unable to start Dr. Konqi

Expected Results:  k3b should not crash.
Comment 1 Harald Hoyer 2004-11-16 09:55:07 EST
terminate called after throwing an instance of 'std::bad_alloc'
  what():  St9bad_alloc

are you sure, that it needs konqueror??  Dr. Konqi is the crash
manager, not konqueror!
Comment 2 petrosyan 2004-11-16 10:47:45 EST
you were correct.
After installing kdebase and gdb, it still crashes while prompting for
the blank CD.
I am attaching the backtrace.
Comment 3 petrosyan 2004-11-16 10:48:22 EST
Created attachment 106807 [details]
k3b crash backtrace

Note You need to log in before you can comment on or make changes to this bug.